Subject: Re: [RFC PATCH 2/3] Makefile: wire up the clar unit testing framework

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 1 Aug 2024 11:32:15 +0200

On Wed, Jul 31, 2024 at 02:39:13PM -0700, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > A trivial fix-up to be squashed into this step.
> 
> I won't be able to address this today, but "make sparse" and other
> auxiliary targets also seem to break, due to their lack of
> dependence on the generated clar.suite file.

Yeah, as said in the cover letter, this was in quite an unpolished
state, so it is not surprising at all that things break. I just wanted
to provide an unfinished PoC to demonstrate how things would roughly
look like so that we have something to discuss. Definitely not material
for `seen` yet.

Given that initial feedback didn't seem to be all that negative I'm
happy to polish things a bit more.

Patrick